##
# Trida Croft reprezentuje policko na mape.
class Croft
  ##
  # Vytvori novou instanci policka
  # * *Args*    :
  #   - +x+ -> poloha na ose X
  #   - +y+ -> poloha na ose Y
  #   - +char+ -> typ policka
  def initialize(x, y, char)
    @left = x
    @top = y
    @type = char
    @visited = false
  end

  # Reprezentuje poradi policka v poli grafickych obrazcu
  attr_reader :index
  
  # Reprezentuje typ policka
  attr_reader :type

  # Reprezentuje polohu policka na ose X
  attr_reader :left

  # Reprezentuje polohu policka na ose X
  attr_reader :top

  # Reprezentuje hodnotu, ktera rika jesli bylo policko
  # s bonusem navstiveno hracem
  attr_reader :visited

  attr_writer :index

  ##
  # Nastavi promennou visited na true
  def set_visited
    @visited = true
  end
end
